#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%define	pdir	Getopt
%define	pnam	Long-Descriptive
Summary:	Getopt::Long::Descriptive - Getopt::Long with usage text
Summary(pl.UTF-8):	Getopt::Long::Descriptive - Getopt::Long z opisem użycia
Name:		perl-Getopt-Long-Descriptive
Version:	0.110
Release:	2
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Getopt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2eee85dd6f78671e101e10800c309cc7
URL:		https://metacpan.org/dist/Getopt-Long-Descriptive
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.78
BuildRequires:	perl-devel >= 1:5.12.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	rpmbuild(macros) >= 1.745
%if %{with tests}
BuildRequires:	perl-CPAN-Meta-Check >= 0.011
BuildRequires:	perl-CPAN-Meta-Requirements
BuildRequires:	perl-Getopt-Long >= 2.33
BuildRequires:	perl-IO-stringy
BuildRequires:	perl-Params-Validate >= 0.97
BuildRequires:	perl-Scalar-List-Utils
BuildRequires:	perl-Sub-Exporter >= 0.972
BuildRequires:	perl-Test-Fatal
BuildRequires:	perl-Test-Simple >= 0.96
BuildRequires:	perl-Test-Warnings >= 0.005
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Convenient wrapper for Getopt::Long and program usage output.

%description -l pl.UTF-8
Wygodne opakowanie Getopt::Long i wyjścia o sposobie użycia programu.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%dir %{perl_vendorlib}/Getopt/Long
%{perl_vendorlib}/Getopt/Long/Descriptive.pm
%dir %{perl_vendorlib}/Getopt/Long/Descriptive
%{perl_vendorlib}/Getopt/Long/Descriptive/Opts.pm
%{perl_vendorlib}/Getopt/Long/Descriptive/Usage.pm
%{_mandir}/man3/Getopt::Long::Descriptive*.3pm*
%changelog
* Sun Jun 12 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Getopt-Long-Descriptive.git;a=log;h=master

* Sun Jun 12 2022 Jan Rękorajski <baggins@pld-linux.org> c9b82b7
- Release 2 (by relup.sh)

* Wed Jun 01 2022 Jakub Bogusz <qboosh@pld-linux.org> e03f0b0
- updated to 0.110

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 231f014
- drop obsolete and outdated manual inclusion of rpm macros

* Sun Jan 26 2014 Jan Rękorajski <baggins@pld-linux.org> 483ce8b
- up to 0.096

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 71f15a5
- up to 0.090

* Mon Sep 14 2009 amateja <amateja@pld-linux.org> 32df6a2
- added missing %dir in %files section
- release 2

* Thu Aug 27 2009 amateja <amateja@pld-linux.org> fc35ce0
- updated to 0.077

* Tue Jun 23 2009 amateja <amateja@pld-linux.org> 911e4cd
- initial

